View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000776Ecere SDKecerepublic2012-12-07 23:072014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000776: EditBox problem with Tabs on
DescriptionClick past end of line, enter a character, Undo
=> Cursor is moved forward, character remains there, extra spaces are added after
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000670)
jerome (administrator)
2013-03-06 11:33

Resolved by https://github.com/ecere/sdk/commit/47102dc6c8168d11c6f87c34219fde65fb13bd86 [^]
(0001362)
jerome (administrator)
2014-07-10 14:28

This is still broken as Redj reported:

ide -> open ecere/Makefile -> gotoline 577 -> paste any string past the end of a line that starts with tab char -> ctrl-z -> mixed up!
(0001363)
jerome (administrator)
2014-07-10 22:01

Proper fix:
https://github.com/ecere/ecere-sdk/commit/edf6d3e9d67696500bde683e9b70c5dba2606202 [^]

Fixed other undo issue when inserting a tab:
https://github.com/ecere/ecere-sdk/commit/a387a8fe8d966a3a1d1375e2e6901af933e50910 [^]

- Issue History
Date Modified Username Field Change
2012-12-07 23:07 jerome New Issue
2012-12-07 23:07 jerome Status new => assigned
2012-12-07 23:07 jerome Assigned To => jerome
2013-03-06 11:20 jerome Assigned To jerome => niraj
2013-03-06 11:33 jerome Status assigned => resolved
2013-03-06 11:33 jerome Fixed in Version => 0.44.1 64
2013-03-06 11:33 jerome Resolution open => fixed
2013-03-06 11:33 jerome Note Added: 0000670
2013-05-22 20:30 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08
2014-07-10 14:28 jerome Note Added: 0001362
2014-07-10 14:28 jerome Assigned To niraj => jerome
2014-07-10 14:28 jerome Reproducibility have not tried => always
2014-07-10 14:28 jerome Status closed => assigned
2014-07-10 14:28 jerome Resolution fixed => reopened
2014-07-10 14:28 jerome Product Version => 0.44.09
2014-07-10 14:28 jerome Fixed in Version 0.44.08 =>
2014-07-10 14:28 jerome Target Version 0.44.08 => 0.44.10 64
2014-07-10 22:01 jerome Note Added: 0001363
2014-07-10 22:01 jerome Status assigned => resolved
2014-07-10 22:01 jerome Fixed in Version => 0.44.10 64
2014-07-10 22:01 jerome Resolution reopened => fixed
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker